bm::tmatrix< T, ROWS, COLS >::rstat Struct Reference

Row characteristics for transposed matrix. More...

`#include <bmtrans.h>`

## Data Fields

unsigned | bit_count
unsigned | gap_count
bm::set_representation | best_rep

## Detailed Description

template<typename T, unsigned ROWS, unsigned COLS>
struct bm::tmatrix< T, ROWS, COLS >::rstat

Row characteristics for transposed matrix.

Definition at line 54 of file bmtrans.h.

## Field Documentation

## best_rep

template<typename T, unsigned ROWS, unsigned COLS>

bm::set_representation bm::tmatrix< T, ROWS, COLS >::rstat::best_rep

Definition at line 58 of file bmtrans.h.

## bit_count

template<typename T, unsigned ROWS, unsigned COLS>

unsigned bm::tmatrix< T, ROWS, COLS >::rstat::bit_count

Definition at line 56 of file bmtrans.h.

## gap_count

template<typename T, unsigned ROWS, unsigned COLS>

unsigned bm::tmatrix< T, ROWS, COLS >::rstat::gap_count

Definition at line 57 of file bmtrans.h.

The documentation for this struct was generated from the following file:

- bmtrans.h